<?php

namespace app\models;

use Yii;
use yii\base\Model;

/**
 * LoginForm is the model behind the login form.
 *
 * @property-read User|null $user
 *
 */
class ApplicationsForm extends Model
{
    public $adress;
    public $desc;
    public $price;
    public $image;
    public $category_id ;
    public $user_id ;



    public function rules()
    {
        return [
            [['adress', 'desc', 'price', 'image', 'category_id'], 'required'],
            [['image'], 'file', 'skipOnEmpty' => false, 'extensions' => 'png, jpg, jpeg, bmp', 'maxSize' => 100567],
            
        ];
    }

    public function attributeLabels()
    {
        return [
            'id' => Yii::t('app', 'ID'),
            'adress' => Yii::t('app', 'Адрес помещения'),
            'desc' => Yii::t('app', 'Описание'),
            'price' => Yii::t('app', 'Максимальная цена'),
            'image' => Yii::t('app', 'Фото помещения'),
            'category_id' => Yii::t('app', 'Категория'),
            'status_id' => Yii::t('app', 'Статус'),
            'user_id' => Yii::t('app', 'Пользователь'),
        ];
    }


    public function upload()
    {
        if ($this->validate()) {
            return null;
        }
        
        $appli = new Applications();

        $appli->user_id = Yii::$app->user->identity->id;
        $appli->adress = $this->adress;
        $appli->desc = $this->desc;
        $appli->price = $this->price;
        $appli->category_id = $this->category_id;
        $this->image->saveAs('uploads/' . $this->image->baseName . '.' . $this->image->extension);
        

       

        return $appli->save() ? : null;
    }

    /**
     * Finds user by [[username]]
     *
     * @return User|null
     */
}
