<?php

/** @var yii\web\View $this */
/** @var yii\bootstrap5\ActiveForm $form */
/** @var app\models\LoginForm $model */

use app\models\Category;
use yii\bootstrap5\ActiveForm;
use yii\bootstrap5\Html;
use yii\widgets\MaskedInput;

$this->title = 'Создание заявки';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-login">
    <h1><?= Html::encode($this->title) ?></h1>

    <p>Заполните следующие поля:</p>

    <?php $form = ActiveForm::begin([
        'id' => 'login-form',
        'layout' => 'horizontal',
        'fieldConfig' => [
            'template' => "{label}\n{input}\n{error}",
            'labelOptions' => ['class' => 'col-lg-5 col-form-label'],
            'inputOptions' => ['class' => 'col-lg-1 form-control'],
            'errorOptions' => ['class' => 'col-lg-5 invalid-feedback'],
        ],
    ]); ?>

        <?= $form->field($model, 'adress')->textInput(['autofocus' => true]) ?>
        
        <?= $form->field($model, 'desc')->textarea(['autofocus' => true]) ?>
        
        <?= $form->field($model, 'category_id')->dropDownList(Category::find()->indexBy('id')->select('name')->column(), ['prompt' => 'Выберите категорию']) ?>

        <?= $form->field($model, 'price')->textInput(['autofocus' => true]) ?>

        <?= $form->field($model, 'image')->fileInput() ?>



        <div class="form-group">
            <div class="offset-lg-1 col-lg-11">
                <?= Html::submitButton('Отправить', ['class' => 'btn btn-primary', 'name' => 'login-button']) ?>
            </div>
        </div>

    <?php ActiveForm::end(); ?>

</div>
